Use this API to create an Authorization Server.
Then further configure the Authorization Server to customize Scopes, Claims and Client Apps.
See the following for a general overview of API Authorization Management.
Resource URL
https://<subdomain>.onelogin.com/api/2/api_authorizationsHeader Parameters
Authorization required string | Set to Set The access token must have been generated using an API credential pair created using the scope required to call this API. This API can be called using any one of the following scopes: |
Content-Type required string | Set to application/json. |
Request Parameters
See API Authorization Resource for attribute definitions.
Sample Request Body
{
"name": "Contacts API",
"description": "This is an api",
"configuration": {
"resource_identifier": "https://example.com/contacts",
"audiences": ["https://example.com/contacts"],
"access_token_expiration_minutes": 10,
"refresh_token_expiration_minutes": 30
}
}Sample Responses
- 201 Created
- 401 Unauthorized
- 422 Unprocessable Entity
{
"id": 1022743
}Typically, this error means that your access token value is invalid.
{
"message": "Unauthorized",
"statusCode": 401,
"name": "UnauthorizedError"
}Audiences are required
{
"message": "Validation failed: Resource identifier can't be blank, Audiences can't be blank",
"statusCode": 422,
"name": "UnprocessableEntityError"
}Response Elements
id | Authorization Server ID. |
Postman Collection
Sample Code
cURL
Replace sample values indicated by < > with your actual values.
Create an API Authorization Server
curl 'https://<subdomain>.onelogin.com/api/2/api_authorizations' \
-X POST \
-H "Authorization: bearer <access_token>"
-H "Content-Type: application/json" \
-d '{
"name": "Contacts API",
"description": "This is an api",
"configuration": {
"resource_identifier": "https://example.com/contacts",
"audiences": ["https://example.com/contacts"],
"access_token_expiration_minutes": 10,
"refresh_token_expiration_minutes": 30
}
}'Have a Question?
Found a problem or a bug? Submit a support ticket.
Looking for walkthroughs or how-to guides? Check out our Knowledge Base.
Have a product idea or request? Share it in our Ideas Portal.